<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/SceneEditorMenu/UIPopupScript/UIPopupScriptPositionManager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/dbb/_u_i_popup_script_position_manager_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">UIPopupScriptPositionManager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/dbb/_u_i_popup_script_position_manager_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>UIPopupScriptPositionManager <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/da3/class_u_i_popup_script.html">UIPopupScript</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a055d55be84677a4a4995132f28958f96">    3</a></span>    <span class="keyword">private</span> TextListboxWidget   <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a055d55be84677a4a4995132f28958f96">m_LstPositionList</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#aeeef0b3d1a265f874da0c73179349a6a">    4</a></span>    <span class="keyword">private</span> EditBoxWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#aeeef0b3d1a265f874da0c73179349a6a">m_TxtSelectedX</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#ae62f47b1e5b43dd6cfa7d6daa59da5a1">    5</a></span>    <span class="keyword">private</span> EditBoxWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#ae62f47b1e5b43dd6cfa7d6daa59da5a1">m_TxtSelectedY</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a5445cc45fc2f26133c205c753e9bede7">    6</a></span>    <span class="keyword">private</span> EditBoxWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a5445cc45fc2f26133c205c753e9bede7">m_TxtCurrentX</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a4777c312b5a7b625a48c8e36e4dac698">    7</a></span>    <span class="keyword">private</span> EditBoxWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a4777c312b5a7b625a48c8e36e4dac698">m_TxtCurrentY</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a66daae1697a9075c848bc5518311c6d0">    8</a></span>    <span class="keyword">private</span> PluginConfigDebugProfileFixed <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a66daae1697a9075c848bc5518311c6d0">m_ConfigDebugProfileFixed</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#ae39d1c1a16bc9f8b2b0be87f658883e7">    9</a></span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#ae39d1c1a16bc9f8b2b0be87f658883e7">m_TeleportButton</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a185759d63f10fc7e5f0c4fd0f84e48d5">   10</a></span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a185759d63f10fc7e5f0c4fd0f84e48d5">m_CancelButton</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>            </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    <span class="comment">//================================================</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <span class="comment">// UIPopupScriptPositionManager</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    <span class="comment">//================================================  </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a64a9a5480bbf8461f565d49f326eed19">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a64a9a5480bbf8461f565d49f326eed19">UIPopupScriptPositionManager</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> wgt )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_ConfigDebugProfileFixed   = PluginConfigDebugProfileFixed.Cast( <a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a>( PluginConfigDebugProfileFixed ) );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_LstPositionList   = TextListboxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;tls_ppp_pm_positions_list&quot;</span>) );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_TxtSelectedX = EditBoxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;pnl_ppp_pm_selected_x_value&quot;</span>) );</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_TxtSelectedY = EditBoxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;pnl_ppp_pm_selected_y_value&quot;</span>) );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_TxtCurrentX = EditBoxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;pnl_ppp_pm_current_x_value&quot;</span>) );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_TxtCurrentY = EditBoxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;pnl_ppp_pm_current_y_value&quot;</span>) );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_TeleportButton = ButtonWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;btn_ppp_pm_teleport&quot;</span>) );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_CancelButton = ButtonWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;btn_ppp_pm_cancel&quot;</span>) );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> positions_array = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_ConfigDebugProfileFixed.GetAllPositionsNames( positions_array );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; positions_array.Count(); i++ )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            m_LstPositionList.AddItem( positions_array.Get(i), <span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#afab1914bf474daf70f1a9717e51980dd">PresetParams</a> ( positions_array.Get(i), <span class="keyword">true</span>, <span class="keyword">false</span>), 0);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">//================================================</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// OnOpen</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">//================================================  </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a5b6d1f87c9e9a6e8b6e861264fd14f6c">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a5b6d1f87c9e9a6e8b6e861264fd14f6c">OnOpen</a>( <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> param )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {       </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span>( PluginSceneManager.GetInstance() )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">if</span>( PluginSceneManager.GetInstance().GetSelectedSceneObject() )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> player_pos = PluginSceneManager.GetInstance().GetSelectedSceneObject().GetPosition();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                m_TxtCurrentX.SetText( player_pos[0].<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                m_TxtCurrentY.SetText( player_pos[2].<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">//================================================</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="comment">// OnClick</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">//================================================</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">OnClick</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">if</span> ( w == m_TeleportButton )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordtype">float</span> pos_x = m_TxtSelectedX.GetText().ToFloat();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordtype">float</span> pos_z = m_TxtSelectedY.GetText().ToFloat();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            PluginSceneManager.GetInstance().SelectedObjectSetPosX( pos_x );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            PluginSceneManager.GetInstance().SelectedObjectSetPosZ( pos_z );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">PopupBack</a>();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_CancelButton )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">PopupBack</a>();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#aab976159d6d0fd1a567f76fefb2067e4">   75</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#aab976159d6d0fd1a567f76fefb2067e4">OnItemSelected</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> row, <span class="keywordtype">int</span> column, <span class="keywordtype">int</span> oldRow, <span class="keywordtype">int</span> oldColumn )</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {   </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position = m_ConfigDebugProfileFixed.GetPositionByName( <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#ad0b4d8f37cf44d4d77d1dfec340b876a">GetCurrentPositionName</a>() );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        m_TxtSelectedX.SetText( position[0].<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() );</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        m_TxtSelectedY.SetText( position[2].<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>() );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#ad0b4d8f37cf44d4d77d1dfec340b876a">   82</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#ad0b4d8f37cf44d4d77d1dfec340b876a">GetCurrentPositionName</a>()</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span> ( m_LstPositionList.GetSelectedRow() != -1 )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordtype">string</span> position_name;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            m_LstPositionList.GetItemText( m_LstPositionList.GetSelectedRow(), 0, position_name );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <span class="keywordflow">return</span> position_name;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>}</div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_plugin_manager_8c_html_a35050f82bea320b7a5336fc549630eaf"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a></div><div class="ttdeci">PluginBase GetPlugin(typename plugin_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00300">PluginManager.c:300</a></div></div>
<div class="ttc" id="a_script_console_8c_html_afab1914bf474daf70f1a9717e51980dd"><div class="ttname"><a href="../../dc/db7/_script_console_8c.html#afab1914bf474daf70f1a9717e51980dd">PresetParams</a></div><div class="ttdeci">Param3&lt; string, bool, bool &gt; PresetParams</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db7/_script_console_8c_source.html#l00001">ScriptConsole.c:1</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html">UIPopupScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d56/_u_i_popup_script_8c_source.html#l00001">UIPopupScript.c:2</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a055d55be84677a4a4995132f28958f96"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a055d55be84677a4a4995132f28958f96">UIPopupScript::m_LstPositionList</a></div><div class="ttdeci">private TextListboxWidget m_LstPositionList</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00003">UIPopupScriptPositionManager.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a121d28d79948f6a394f86836c9fbc25f"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">UIPopupScript::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00055">UIPopupScriptPositionManager.c:55</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a185759d63f10fc7e5f0c4fd0f84e48d5"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a185759d63f10fc7e5f0c4fd0f84e48d5">UIPopupScript::m_CancelButton</a></div><div class="ttdeci">private ButtonWidget m_CancelButton</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00010">UIPopupScriptPositionManager.c:10</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a4777c312b5a7b625a48c8e36e4dac698"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a4777c312b5a7b625a48c8e36e4dac698">UIPopupScript::m_TxtCurrentY</a></div><div class="ttdeci">private EditBoxWidget m_TxtCurrentY</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00007">UIPopupScriptPositionManager.c:7</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a5445cc45fc2f26133c205c753e9bede7"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a5445cc45fc2f26133c205c753e9bede7">UIPopupScript::m_TxtCurrentX</a></div><div class="ttdeci">private EditBoxWidget m_TxtCurrentX</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00006">UIPopupScriptPositionManager.c:6</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a5b6d1f87c9e9a6e8b6e861264fd14f6c"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a5b6d1f87c9e9a6e8b6e861264fd14f6c">UIPopupScript::OnOpen</a></div><div class="ttdeci">override void OnOpen(Param param)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00038">UIPopupScriptPositionManager.c:38</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a64a9a5480bbf8461f565d49f326eed19"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a64a9a5480bbf8461f565d49f326eed19">UIPopupScript::UIPopupScriptPositionManager</a></div><div class="ttdeci">void UIPopupScriptPositionManager(Widget wgt)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00015">UIPopupScriptPositionManager.c:15</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a66daae1697a9075c848bc5518311c6d0"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a66daae1697a9075c848bc5518311c6d0">UIPopupScript::m_ConfigDebugProfileFixed</a></div><div class="ttdeci">private PluginConfigDebugProfileFixed m_ConfigDebugProfileFixed</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00008">UIPopupScriptPositionManager.c:8</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a8f4d5e5802aaffce6e156a6e2973fd7c"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">UIPopupScript::PopupBack</a></div><div class="ttdeci">protected UIPopupScript PopupBack()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d56/_u_i_popup_script_8c_source.html#l00037">UIPopupScript.c:37</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_aab976159d6d0fd1a567f76fefb2067e4"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#aab976159d6d0fd1a567f76fefb2067e4">UIPopupScript::OnItemSelected</a></div><div class="ttdeci">void OnItemSelected(Widget w, int x, int y, int row, int column, int oldRow, int oldColumn)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00075">UIPopupScriptPositionManager.c:75</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ad0b4d8f37cf44d4d77d1dfec340b876a"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ad0b4d8f37cf44d4d77d1dfec340b876a">UIPopupScript::GetCurrentPositionName</a></div><div class="ttdeci">string GetCurrentPositionName()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00082">UIPopupScriptPositionManager.c:82</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ae39d1c1a16bc9f8b2b0be87f658883e7"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ae39d1c1a16bc9f8b2b0be87f658883e7">UIPopupScript::m_TeleportButton</a></div><div class="ttdeci">private ButtonWidget m_TeleportButton</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00009">UIPopupScriptPositionManager.c:9</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ae62f47b1e5b43dd6cfa7d6daa59da5a1"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ae62f47b1e5b43dd6cfa7d6daa59da5a1">UIPopupScript::m_TxtSelectedY</a></div><div class="ttdeci">private EditBoxWidget m_TxtSelectedY</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00005">UIPopupScriptPositionManager.c:5</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_aeeef0b3d1a265f874da0c73179349a6a"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#aeeef0b3d1a265f874da0c73179349a6a">UIPopupScript::m_TxtSelectedX</a></div><div class="ttdeci">private EditBoxWidget m_TxtSelectedX</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dbb/_u_i_popup_script_position_manager_8c_source.html#l00004">UIPopupScriptPositionManager.c:4</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array&lt; string &gt;</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga28845e68ed8329715e29aded7542ca15"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a></div><div class="ttdeci">array&lt; string &gt; TStringArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00644">EnScript.c:644</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_d9cd76049b7d723996f4c0af45972b06.html">SceneEditorMenu</a></li><li class="navelem"><a class="el" href="../../dir_e07a6aec7fbf0178b4da362c4d98abad.html">UIPopupScript</a></li><li class="navelem"><a class="el" href="../../dd/dbb/_u_i_popup_script_position_manager_8c.html">UIPopupScriptPositionManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
